From 2c648f73207813787175776e76fba426d67cb9f0 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Mattias=20Engdeg=C3=A5rd?= <mattiase@acm.org>
Date: Mon, 5 Aug 2019 12:59:53 +0200
Subject: [PATCH] Shut up regexp linter

* lisp/progmodes/fortran.el (fortran-indent-to-column):
Prevent relint from complaining about a duplicated character in the
argument to skip-chars-{forward,backward}.
---
 lisp/progmodes/fortran.el | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/lisp/progmodes/fortran.el b/lisp/progmodes/fortran.el
index f01e866f55..8f58c501e4 100644
--- a/lisp/progmodes/fortran.el
+++ b/lisp/progmodes/fortran.el
@@ -1818,7 +1818,9 @@ fortran-indent-to-column
             (let* ((char (if (stringp fortran-comment-indent-char)
                              (aref fortran-comment-indent-char 0)
                            fortran-comment-indent-char))
-                   (chars (string ?\s ?\t char)))
+                   (chars (if (memq char '(?\s ?\t))
+                              " \t"
+                            (string ?\s ?\t char))))
               (goto-char (match-end 0))
               (skip-chars-backward chars)
               (delete-region (point) (progn (skip-chars-forward chars)
-- 
2.20.1 (Apple Git-117)

